Capacity Planning

Supported Linux distributions

We support the server editions of the following distributions or operating systems:

  • Debian 7.7 - 10

  • Ubuntu 14.04.5 / 16.04 / 18.04 / 20.04

  • Red Hat Enterprise Linux 7.4 - 7.9

  • CentOS 7.4 - 7.9

  • Oracle Linux 7.4 - 7.9

  • Amazon Linux 2014.03 / 2014.09 / 2015.03 / 2015.09 / 2016.03 / 2016.09 / 2017.03 / 2017.09 / 2018.03 / 2.0

Plotly has the most experience supporting Ubuntu 18.04 and RHEL/CentOS 7, but any of the above are acceptable. If multiple editions exist, choose the server edition and not the desktop edition.

Server Minimum Requirements

To install Dash Enterprise using this method, you need root access to a server that meets the below requirements:

Note that the following minimum requirements serve as a primary guide, please refer to one of the guides linked below for a proper capacity planning.

Note that the minimum requirement for disk space assumes that both /plotly and /var/lib/docker are on the same disk. For more details on this, or if you'll have these two directories on separate partitions or disks, please refer to one of the guides linked below for a proper capacity planning.

  • 64-bit Linux server

  • 14 CPU (or vCPU) cores

  • 29 GB RAM and 29 GB swap space

  • 479 GB of free disk space